Billing

Initialize fiat payment (project-scoped)

Same as org-level initialize-payment; projectId from path is used for scope and tx_ref. Resolves project to org and uses org's payment-processing subaccount.

AuthBearer (JWT)
GroupBilling
Rate limitSee Rate Limits
POST/api/projects/{projectId}/payment-processing/initialize-payment

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);
import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await billing.initializePaymentForProject(
  "proj_11MO1iZzwZdc",
  {
    amount: 99.72,
    currency: "UAH",
    customer: "alarm back up",
    metadata: "bus connect"
  }
);
const { data: result } = await billing.initializePaymentForProject(
  "proj_11MO1iZzwZdc",
  {
    amount: 99.72,
    currency: "UAH",
    customer: "alarm back up",
    metadata: "bus connect"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Request Body

json
{
  "amount": 69.62,
  "currency": "NPR",
  "customer": {
    "email": "filomena_weber@northwind.dev",
    "name": "Dorothy McGlynn"
  },
  "metadata": {}
}
{
  "amount": 69.62,
  "currency": "NPR",
  "customer": {
    "email": "filomena_weber@northwind.dev",
    "name": "Dorothy McGlynn"
  },
  "metadata": {}
}

Responses

200Payment link and fee breakdown (same shape as org-level)
400
401
500

Errors

CodeMeaning
400
401
500
Edit this page on GitHub